## libxml2 2.6.16.maemo.1-7osso9

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso9) unstable; urgency=low

  * Added docbook-xsl build dependency.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 01 Dec 2005 15:44:15 +0200

libxml2 (2.6.16.maemo.1-7osso8) unstable; urgency=low

  * Removed installation of missing xmlcatalog man page, because of
    compilation trouble in some environment (bug 21215).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 30 Nov 2005 18:46:12 +0200

libxml2 (2.6.16.maemo.1-7osso7) unstable; urgency=low

  * Added build dependency to xsltproc (bug 21215).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 28 Nov 2005 15:34:53 +0200

libxml2 (2.6.16.maemo.1-7osso6) unstable; urgency=low

  * Repackaged upstream source to avoid the legally problematic files in a
    clean way.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 31 Oct 2005 18:46:33 +0200

libxml2 (2.6.16-7osso5) unstable; urgency=low

  * Removed three legally problematic files:
    result/HTML/doc3.htm
    test/HTML/doc3.htm
    test/HTML/wired.html

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 26 Oct 2005 15:18:27 +0300

libxml2 (2.6.16-7osso4) unstable; urgency=low

  * New version without any changes, but packaged differently to really
    get rid of the legally problematic files.  Previously, they were still
    contained in the orig.tar.gz, now we distribute the patched sources
    directly (and not orig+patch).

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon,  3 Oct 2005 18:55:53 +0300

libxml2 (2.6.16-7osso3) unstable; urgency=low

  * Removed four legally problematic files:
    test/schemas/po0_0.xsd 
    result/HTML/wired.html 
    test/HTML/fp40.htm    
    result/HTML/fp40.htm

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 12 Sep 2005 20:08:28 +0300

libxml2 (2.6.16-7osso2) unstable; urgency=low

  * Removed testapi program building in attempt to fix compilation
    problem (bug 13481).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 14 Jun 2005 17:14:02 +0300

libxml2 (2.6.16-7osso) unstable; urgency=low

  * Removed Python packages from debian/control.
  * Added --without-python configure parameter.
  * Removed dynamically-created doc/xmlcatalog.1.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 02 May 2005 16:30:03 +0300

libxml2 (2.6.16-7) unstable; urgency=low

  * The "dummy packages are arch: all, dammit" release.
  * debian/control: Changed to Architecture: all for dummy package.

 -- Mike Hommey <glandium@debian.org>  Sat,  9 Apr 2005 11:57:29 +0200

libxml2 (2.6.16-6) unstable; urgency=low

  * The "Let's do it cleaner" release.
  * debian/rules: fix installation of python files and make proper use of
    DESTDIR at install time.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Mar 2005 18:12:15 +0200

libxml2 (2.6.16-5) unstable; urgency=low

  * debian/watch: use svn-upgrade instead of uupdate.
  * debian/control, debian/rules, debian/python-libxml2.*.in:
    Added support for several python bindings packages. Currently for python
    2.2, 2.3 and 2.4.
  * debian/python2.3-libxml2.*: Removed.

 -- Mike Hommey <glandium@debian.org>  Sun, 27 Mar 2005 21:36:53 +0200

libxml2 (2.6.16-4) unstable; urgency=high

  * Urgency set to high because we avoid breaking packages depending on us
    when we don't properly bytecompile our python bindings.
  * debian/rules: Call dh_python. We now get proper maintainer scripts for
    bytecompiling files at install time and removing them at removal time.
    Closes: #300834.
  * debian/control: Adjust build dependencies accordingly.

 -- Mike Hommey <glandium@debian.org>  Tue, 22 Mar 2005 21:56:50 +0100

libxml2 (2.6.16-3) unstable; urgency=low

  * tree.c: Avoid adding namespaced attributes to other elements than element
    nodes. Closes: #293592.
  * encoding.c: Fix the comments to describe the real return values of
    UTF8Toisolat1 and isolat1ToUTF8.
  * doc/: Regenerate API documentation.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Feb 2005 20:31:17 +0100

libxml2 (2.6.16-2) unstable; urgency=low

  * Upload to unstable, targetted for sarge.
  * Changed my maintainer address to the fresh new Debian one.
  * debian/rules: Added changelog and copyright files in dummy package.
  * debian/libxml2-doc.doc-base: Fixed files sections. Closes: #281242.

 -- Mike Hommey <glandium@debian.org>  Fri,  4 Feb 2005 20:45:48 +0100

libxml2 (2.6.16-1) experimental; urgency=low

  * New upstream release
  * debian/control, debian/rules: Changed libxml2-python2.3's name to
    python2.3-libxml2. Added a dummy package for smooth transition.
  * debian/libxml2-python2.3.*: Renamed to python2.3-libxml2.*.
    Closes: #279343.
  * debian/rules:
    - Don't install files in the dummy libxml2-python2.3 package.
    - Bump shlibs to current version.

 -- Mike Hommey <mh@glandium.org>  Sat, 13 Nov 2004 16:38:37 +0900

libxml2 (2.6.15-2) experimental; urgency=low

  * error.c: Removed support of validation errors in structured error handler.
    That avoids it to crash when a validation error happens. (That was a
    broken feature added in 2.6.15. This will get properly fixed in 2.6.16).
    Closes: #279040.

 -- Mike Hommey <mh@glandium.org>  Mon,  8 Nov 2004 22:16:00 +0900

libxml2 (2.6.15-1) experimental; urgency=low

  * New upstream release
  * debian/rules: Use "dh_makeshlibs -V 'libxml2 (>= 2.6.15)'", since version
    2.6.16 introduces some new symbols.

 -- Mike Hommey <mh@glandium.org>  Thu, 28 Oct 2004 19:08:20 +0900

libxml2 (2.6.11-5) unstable; urgency=high

  * Backport patch from libxml2-2.6.15 to fix buffer overflows [nanohttp.c,
    nanoftp.c, CAN-2004-0989]

 -- Mike Hommey <mh@glandium.org>  Thu, 28 Oct 2004 17:34:54 +0900

libxml2 (2.6.14-1) experimental; urgency=low

  * New upstream release. Closes: #273961.
  * debian/rules: Use "dh_makeshlibs -V 'libxml2 (>= 2.6.14)'", since version
    2.6.14 introduces some new symbols.
  * debian/shlibs.local: Removed, since it is not useful any more.


