## libxml2 2.6.16.maemo.1-7osso11

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso11) unstable; urgency=low

  * Added patch for making more code shareable (N#23041).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 May 2006 14:46:17 +0300

libxml2 (2.6.16.maemo.1-7osso10) unstable; urgency=low

  * Applied patch from Leonid for thumb instruction support (N#26519).
  * Added doc/xmlcatalog.1 back because of svn-buildpackage problem.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 29 Apr 2006 17:11:02 +0300
