=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,12 @@
       CFLAGS += -O2
 endif
 
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
+
 build: build-stamp
 build-stamp:
 	dh_testdir
@@ -33,6 +39,8 @@
 	echo "distclean:" >> example/Makefile
 	echo "	rm -rf .deps" >> example/Makefile
 
+	patch -p0 < debian/patches/libxml2-const.diff
+
 	mv -f python/Makefile python/Makefile.bak
 	echo all: > python/Makefile
 	# Build libxml2
@@ -44,6 +52,11 @@
 clean:
 	dh_testdir
 	dh_testroot
+
+	if [ -e build-stamp ]; then \
+	  patch -p0 -R < debian/patches/libxml2-const.diff; \
+	fi
+
 	rm -f build-stamp install*-stamp
 	rm -f debian/python*.examples debian/python*.install
