=== debian/watch ===
version=2
ftp://xmlsoft.org/libxml2-([\d\.]+)\.tar\.gz debian svn-upgrade
