## libxml2 2.6.16.maemo.1-7osso12

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso12) unstable; urgency=low

  * Added a debug package. Fixes: NB#40260

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 27 Sep 2006 17:29:26 +0300
