=== debian/control ===
--- 
+++ 
@@ -12,6 +12,22 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: xml-core
 Description: GNOME XML library
+ XML is a metalanguage to let you design your own markup language.
+ A regular markup language defines a way to describe information in
+ a certain class of documents (eg HTML). XML lets you define your
+ own customized markup languages for many classes of document. It
+ can do this because it's written in SGML, the international standard
+ metalanguage for markup languages.
+ .
+ This package provides a library providing an extensive API to handle
+ such XML data files.
+
+Package: libxml2-dbg
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, libxml2 (>= ${Source-Version}) 
+Recommends: xml-core
+Description: GNOME XML library debug symbols
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
  a certain class of documents (eg HTML). XML lets you define your
