=== debian/rules ===
--- 
+++ 
@@ -145,7 +145,7 @@
 	dh_install -i --sourcedir=debian/tmp
 	dh_python -i
 	dh_link -i
-	dh_strip -i
+	dh_strip -i --dbg-package=libxml2
 	dh_compress -i -Xexamples/ -Xtutorial/ -Xhtml/ -X.html
 	dh_fixperms -i
 	dh_installdeb -i -Nlibxml2-python2.3
@@ -173,7 +173,7 @@
 	dh_install -a --sourcedir=debian/tmp
 	dh_python -a
 	dh_link -a
-	dh_strip -a
+	dh_strip -a --dbg-package=libxml2
 	dh_compress -a -Xexamples/
 	dh_fixperms -a
 	dh_makeshlibs -a -V 'libxml2 (>= 2.6.16)'
