## libxml2 2.6.16.maemo.1-7osso13

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso13) unstable; urgency=low

  * Fixed dependency in libxml2-dbg to be exact. Fixes: NB#40260

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 28 Sep 2006 15:11:38 +0300
