=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: libxml2-dbg
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libxml2 (>= ${Source-Version}) 
+Depends: ${shlibs:Depends}, libxml2 (= ${Source-Version}) 
 Recommends: xml-core
 Description: GNOME XML library debug symbols
  XML is a metalanguage to let you design your own markup language.
