## libxml2 2.6.27.dfsg-1osso2

=== debian/changelog ===
libxml2 (2.6.27.dfsg-1osso2) unstable; urgency=low

  * Removed some non-free (document) files from the tarball:
    libxml2-2.6.27/test/HTML/fp40.htm
    libxml2-2.6.27/test/schemas/po0_0.xsd
    libxml2-2.6.27/test/schemas/po1_0.xsd
    libxml2-2.6.27/result/DocBook/bibliography.example.1.xml
    libxml2-2.6.27/result/DocBook/bibliography.example.1
    libxml2-2.6.27/result/HTML/fp40.htm
    libxml2-2.6.27/result/HTML/fp40.htm.sax

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 23 Mar 2007 16:50:55 +0200

libxml2 (2.6.27.dfsg-1osso1) unstable; urgency=low

  * OSSO-packaged libxml2 v2.6.27 (used Debian's packaging as a base but
    replaced debian/rules with a simple cdbs one).
  * Removed compilation of Python packages and some other inconvenient
    build dependencies.
  * Added support for compiling with thumb instructions.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 17 Nov 2006 15:36:40 +0200

libxml2 (2.6.27.dfsg-1) unstable; urgency=low

  * New "huge bug fixes list" upstream release.
  * autogen.sh: Updated so that doc/examples/index.html gets updated
    correctly.
  * debian/control: Bumped Standards-Version to 3.7.2.2. No changes required.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Thu, 26 Oct 2006 23:15:00 +0200

libxml2 (2.6.26.dfsg-4) unstable; urgency=low

  * debian/control:
    + Bumped Standards-Version to 3.7.2.1. No changes required.
    + Added a conflict to the sarge version of libxslt1.1 to avoid upgrade
      problems. Closes: #390733.
  * debian/watch: Updated to mangle the Debian version.

 -- Mike Hommey <glandium@debian.org>  Wed,  4 Oct 2006 16:51:29 +0200

libxml2 (2.6.26.dfsg-3) unstable; urgency=medium

  * debian/rules, debian/libxml2-dev.install: Don't install libxml2.la
    directly and sed it to remove the dependency_libs. Note that will break
    linking statically libxml2 with libtool, we recommend to use pkg-config
    --static --libs libxml-2.0 instead of relying on libtool.
    Closes: #379807, #378511.
  * xml2-config.in: Fixed usage alignment of the new option introduced in
    previous upload.

 -- Mike Hommey <glandium@debian.org>  Thu, 27 Jul 2006 19:40:27 +0200

libxml2 (2.6.26.dfsg-2) unstable; urgency=low

  * The slithering release.

  * debian/python-libxml2.examples.in: Renamed to
    debian/python-libxml2.examples
  * debian/python-libxml2.install.in: Renamed to
    debian/python-libxml2.install, and replaced PYVERS by a wildcard.
  * debian/control:
    + Adapted dependencies to fit all changes.
    + Added fields required by new Python policy.
    + Added fields necessary for flawless transition.
    + Replaced dummy python-libxml2 package by a full real package which
      itself replaces python2.x-libxml2 packages.
  * debian/rules:
    + Changed rules to get the python versions we want to build for and
      adapted some rules to fit with the new setting.
    + Changed shell loops to make loops.
    + In case python binary modules are identical (and they are, but they
      may not be with future versions of the python headers), replace some
      of them with symbolic links.
    + Adapted rules to the fact we're installing in only one python package
      instead of several.
  * debian/pycompat: Set to 2, for new Python policy. Closes: #373456.
  * Switching to the new policy avoids necessity to conflict with very old
    versions of the python bindings packages. Closes: #365057.

  * debian/libxml2-doc.install: Added the /usr/share/gtk-doc directory.
    Closes: #375113.
  * debian/control: Made libxml2-doc suggest devhelper.
  * libxml-2.0.pc.in, libxml-2.0-uninstalled.pc.in: Split Libs in Libs and
    Libs.private.
  * configure.in, configure: Adapted to fill the variables correctly for
    libraries.
  * xml2-config.in, xml2-config.1: Added a --static option to add to --libs
    so that we can split what is needed when building statically and what is
    needed when building dynamically. Closes: #374017.
  * libxml-2.0.pc.in, libxml-2.0-uninstalled.pc.in, xml2-config.in: Added
    BASE_THREADS_LIBS to the static link information so that -lpthread would
    appear. Closes: #372945.
  * debian/control: Removed dependency on zlib-dev for libxml2-dev.
  * debian/rules: Add the NEWS file to dh_install calls. Closes: #365596.
  * debian/watch: Updated.
  * NEWS: Updated.

 -- Mike Hommey <glandium@debian.org>  Sat,  1 Jul 2006 10:45:02 +0200

libxml2 (2.6.26.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Added -fno-strict-aliasing to the CFLAGS.
    + Use dpkg-architecture to feed configure.
    + Bumped shlibs to current version, since new symbol for XPath cache has
      been added.
  * debian/control: Bumped Standards-Version to 3.7.2.0. No changes required.

 -- Mike Hommey <glandium@debian.org>  Thu,  8 Jun 2006 21:39:55 +0200

libxml2 (2.6.24.dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #365246.
  * debian/control:
    + Changed libxml2-dbg's priority to extra.
    + Bumped Standards-Version to 3.7.0.0. No changes required.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Sat, 29 Apr 2006 22:18:14 +0200

libxml2 (2.6.23.dfsg.2-3) unstable; urgency=low

  * debian/rules: Correctly strip python modules.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2006 19:15:53 +0100

libxml2 (2.6.23.dfsg.2-2) unstable; urgency=low

  * debian/control: Removed python2.2-libxml2 and build-dep on python2.2-dev.
    Closes: #351125.
  * doc/xmllint.xml, doc/xmllint.1: Applied patch from upstream cvs.  That
    improves the manual page by many ways.
  * doc/xmllint.html: Manually updated with changes from the .xml file.
  * xmllint.c: Don't throw error when failed to load an entity through --path
    option of xmllint (patch from upstream cvs). Closes: #352634.
    Thanks Daniel Leidert.


