=== debian/control ===
--- 
+++ 
@@ -1,33 +1,17 @@
 Source: libxml2
 Priority: optional
 Section: libs
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>
-Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.67), zlib1g-dev | libz-dev, autotools-dev, xsltproc, docbook-xsl
+Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
+Standards-Version: 3.7.2.2
+Build-Depends: cdbs, debhelper, zlib1g-dev | libz-dev, autotools-dev, binutils (>= 2.14.90.0.7)
 
 Package: libxml2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libxslt1.1 (<= 1.1.12-8)
 Recommends: xml-core
 Description: GNOME XML library
- XML is a metalanguage to let you design your own markup language.
- A regular markup language defines a way to describe information in
- a certain class of documents (eg HTML). XML lets you define your
- own customized markup languages for many classes of document. It
- can do this because it's written in SGML, the international standard
- metalanguage for markup languages.
- .
- This package provides a library providing an extensive API to handle
- such XML data files.
-
-Package: libxml2-dbg
-Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends}, libxml2 (= ${Source-Version}) 
-Recommends: xml-core
-Description: GNOME XML library debug symbols
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
  a certain class of documents (eg HTML). XML lets you define your
@@ -59,7 +43,7 @@
 Package: libxml2-dev
 Architecture: any
 Section: libdevel
-Depends: libxml2 (= ${Source-Version}), zlib1g-dev | libz-dev
+Depends: libxml2 (= ${Source-Version})
 Replaces: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
 Conflicts: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
 Description: Development files for the GNOME XML library
@@ -73,9 +57,27 @@
  Install this package if you wish to develop your own programs using
  the GNOME XML library.
 
+Package: libxml2-dbg
+Architecture: any
+Section: libdevel
+Priority: extra
+Depends: libxml2 (= ${Source-Version})
+Description: Debugging symbols for the GNOME XML library
+ XML is a metalanguage to let you design your own markup language.
+ A regular markup language defines a way to describe information in
+ a certain class of documents (eg HTML). XML lets you define your
+ own customized markup languages for many classes of document. It
+ can do this because it's written in SGML, the international standard
+ metalanguage for markup languages.
+ .
+ This package provides the debugging symbols for the library and for
+ the utilities provided by the libxml2-utils package.
+ Debugging symbols for the python modules are not available.
+
 Package: libxml2-doc
 Architecture: all
 Section: doc
+Suggests: devhelp
 Description: Documentation for the GNOME XML library
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
