## libxml2 2.6.27.dfsg-1osso3

=== debian/changelog ===
libxml2 (2.6.27.dfsg-1osso3) unstable; urgency=low

  * Prefer hardware floating point unless configured otherwise.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 11 Sep 2007 14:03:14 +0300
