=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,15 @@
 
 DEB_DH_STRIP_ARGS := --dbg-package=libxml2
 
+# Prefer hardware floating point if enabled
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -mthumb
 endif
+endif
 
 clean::
 	rm -f *.cdbs-config_list
