## libxml2 2.6.27.dfsg-1osso4

=== debian/changelog ===
libxml2 (2.6.27.dfsg-1osso4) unstable; urgency=low

  * Added patch for CVE-2007-6284 security issue. Fixes: NB#79318

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 19 Feb 2008 16:40:29 +0200
