## libxml2 2.6.32.dfsg-5maemo3%2b0m5

=== debian/changelog ===
libxml2 (2.6.32.dfsg-5maemo3+0m5) unstable; urgency=high

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 08 Sep 2009 10:26:27 +0300

libxml2 (2.6.32.dfsg-5maemo3) unstable; urgency=high

  * Fixed case-statements in python/libxml.c
  * Fixes: NB#133324
  * Fixes: NB#137543

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 08 Sep 2009 10:00:36 +0300

libxml2 (2.6.32.dfsg-5maemo2+0m5) unstable; urgency=high

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Fri, 28 Aug 2009 10:54:36 +0300

libxml2 (2.6.32.dfsg-5maemo2) unstable; urgency=high

  * Resync from upstream (Fixes: NB#133324)
  * Downgrade debhelper version requirement
  * Use target's python for all things python

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 14 Aug 2009 13:08:07 +0300

libxml2 (2.6.32.dfsg-5) unstable; urgency=high

  * parserInternals.c: apply patch from upstream revision 3741 to avoid
    double-free in some situations. This fixes a crash while running the
    W3C/OASIS XML conformance test.
  * tree.c: Fix infinite loop. Fixes: CVE-2008-4225.
  * SAX2.c: Fix integer overflow. Fixes: CVE-2008-4226.

 -- Mike Hommey <glandium@debian.org>  Tue, 18 Nov 2008 08:08:34 +0100

libxml2 (2.6.32.dfsg-4) unstable; urgency=high

  * Fix regressions due to previous security fixes. Fixes: CVE-2008-3529.
    Closes: #498768.

 -- Mike Hommey <glandium@debian.org>  Fri, 19 Sep 2008 21:26:19 +0200

libxml2 (2.6.32.dfsg-3) unstable; urgency=high

  * Fix DoS which leads to recursive evaluation of entities.
    Fixes: CVE-2008-3281, without breaking librsvg and others. Closes: #496125.

 -- Mike Hommey <glandium@debian.org>  Mon, 25 Aug 2008 22:01:17 +0200

libxml2 (2.6.32.dfsg-2) unstable; urgency=low

   * debian/control:
     + Use ${binary:Version} instead of ${Source-Version}.
     + Fixed spelling error for "Python".
   * debian/rules: Don't ignore make distclean errors.
   * debian/libxml2-doc.doc-base: Changed section to fit doc-base sections
     changes.
  * xml2-config.1: Remove unknown groff command.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Apr 2008 20:38:50 +0200

libxml2 (2.6.32.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version to 3.7.3.0. No changes.
  * debian/rules:
    + Make dpkg-shlibdeps fail when symbols are missing.
    + Removed the workaround for removed and modified files during build. The
      former was for svn-buildpackage that I don't use anymore, and the latter
      for a file that isn't in the .orig.tar.gz anymore.
    + Bump shlibs to current version, since a new symbol was added.
  * debian/libxml2.symbols: Reference the new symbol.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Apr 2008 11:25:18 +0200

libxml2 (2.6.31.dfsg-2) unstable; urgency=low

  * debian/rules: Brown paper bag: uncomment $(MAKE) distclean.
    Closes: #442656.
  * xstc/Makefile.am, xstc/Makefile.in: Properly clean generated files.
  * nanohttp.c: Apply fix from svn revision 3685 to allocate enough memory
    for the Host HTTP header when containing a port number. Closes: #464173.
  * error.c: Don't grow error buffer indefinitely when vsnprintf returns -1,
    which, if it happens, on glibc-based systems, will happen indefinitely.
    Closes: #456653.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Mar 2008 23:42:37 +0100

libxml2 (2.6.31.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Acknowledged NMU.
  * testModule.c: Revert our change to add PATH_MAX for the Hurd, since we now
    don't even build this file.
  * debian/rules: bump shlibs to current version, since a new symbol was added.
  * debian/libxml2.symbols: Reference the new symbol.
  * autogen.sh: Switch to automake1.10 to follow upstream.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Jan 2008 18:46:41 +0100

libxml2 (2.6.30.dfsg-3.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * This update addresses the following security issue:
    - CVE-2007-6284: The xmlCurrentChar function allows context-dependent
      attackers to cause a denial of service (infinite loop) via XML
      containing invalid UTF-8 sequences (Closes: #460292).

 -- Nico Golde <nion@debian.org>  Sun, 13 Jan 2008 15:15:04 +0100

libxml2 (2.6.30.dfsg-3) unstable; urgency=low

  * debian/libxml2.symbols: Add a symbols file to benefit from the new
    features in dpkg-shlibdeps.
  * debian/control: Build depend on debhelper (>= 5.0.61) and dpkg-dev (>=
    1.14.9), accordingly.
  * debian/rules:
    + Apply rules suggested in autotools-dev documentation.
    + Add -Wl,--as-needed to LDFLAGS so that useless dependencies are not
    added.
  * Makefile.am, Makefile.in: Don't build noinst targets.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Nov 2007 19:22:51 +0100

libxml2 (2.6.30.dfsg-2) unstable; urgency=low

  * libxml.h: define _LARGEFILE64_SOURCE to properly get gzopen64 defines in
    zlib.h. Closes: #439843. Thanks Dann Frazier.

 -- Mike Hommey <glandium@debian.org>  Tue, 28 Aug 2007 21:52:30 +0200

libxml2 (2.6.30.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sun, 26 Aug 2007 10:52:39 +0200

libxml2 (2.6.29.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 Jun 2007 20:52:41 +0200

libxml2 (2.6.28.dfsg-1) unstable; urgency=low

  * New upstream release:
    + Provides doc/html/index.html. Closes: #405802.
    + Fixed infinite loop with invalid characters in Xincluded files.
      Closes: #410762.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Wed, 18 Apr 2007 08:09:16 +0200
